
#include <avr/io.h>
#define F_CPU 1000000UL  // 1 MHz
#include <util/delay.h>
#include <stdint.h>
#include <avr/interrupt.h>


ISR(TIMER0_OVF_vect)
{
    PORTB ^= _BV(PB2); //durch Timeroverflow ausgeloestes Blinken (hier: die langsame LED)
   
}



int main(void)
{
        DDRB = DDRB | _BV(PB2) | _BV(PB3); 	// PB2 & PB3 sind Ausgaenge (fr LED)
        TCCR0 = 0x05; TIMSK =0x01;         		// Timer0 mit Prescaler 1024
        sei();                             				// Interrupts ermoeglichen
        
          while (1) {                    
                      PORTB ^= _BV(PB3); _delay_ms(50); //normales LED-Blinken (hier: die  schnelle LED)
          }

 return(0);
}

